summaryrefslogtreecommitdiffstats
path: root/development/bas
diff options
context:
space:
mode:
author G. Schoenmakers2013-05-18 03:51:11 +0200
committer Robby Workman2013-06-04 07:11:08 +0200
commit52c6c8736d18c85e57472f2f4e643c46722443c3 (patch)
tree34e2ce70cddb720ee9c1afc63e802ff79b4246b5 /development/bas
parentd5dbe691315a916a6301ec7b360c3a49204a8341 (diff)
downloadslackbuilds-52c6c8736d18c85e57472f2f4e643c46722443c3.tar.gz
development/bas: Added (classic basic interpreter)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/bas')
-rw-r--r--development/bas/README5
-rw-r--r--development/bas/bas.SlackBuild81
-rw-r--r--development/bas/bas.info10
-rw-r--r--development/bas/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/development/bas/README b/development/bas/README
new file mode 100644
index 0000000000..907f2d9982
--- /dev/null
+++ b/development/bas/README
@@ -0,0 +1,5 @@
+Bas is an interpreter for the classic dialect of the programming
+language BASIC. It is pretty compatible to typical BASIC
+interpreters of the 1980s. The interpreter tokenises the source
+and resolves references to variables and jump targets before
+running the program.
diff --git a/development/bas/bas.SlackBuild b/development/bas/bas.SlackBuild
new file mode 100644
index 0000000000..1fdc227327
--- /dev/null
+++ b/development/bas/bas.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for bas
+
+# Written by G. Schoenmakers
+
+PRGNAM=bas
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$PKG/usr \
+ --libdir=$PKG/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=$PKG/etc \
+ --localstatedir=$PKG/var \
+ --mandir=$PKG/usr/man \
+ --docdir=$PKG/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bas/bas.info b/development/bas/bas.info
new file mode 100644
index 0000000000..0055cc2f06
--- /dev/null
+++ b/development/bas/bas.info
@@ -0,0 +1,10 @@
+PRGNAM="bas"
+VERSION="2.3"
+HOMEPAGE="http://www.moria.de/~michael/bas/"
+DOWNLOAD="http://www.moria.de/~michael/bas/bas-2.3.tar.gz"
+MD5SUM="a6f2752790f5ab4a0fd4e6b633db780d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="G. Schoenmakers"
+EMAIL="gschoen@iinet.net.au"
diff --git a/development/bas/slack-desc b/development/bas/slack-desc
new file mode 100644
index 0000000000..548900ff09
--- /dev/null
+++ b/development/bas/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bas: bas (classic basic interpreter)
+bas:
+bas: Bas is an interpreter for the classic dialect of the programming
+bas: language BASIC. It is pretty compatible to typical BASIC
+bas: interpreters of the 1980s. The interpreter tokenises the source
+bas: and resolves references to variables and jump targets before
+bas: running the program.
+bas:
+bas: Homepage: http://www.moria.de/~michael/bas/
+bas:
+bas: